/*
 * Copyright (C) 2022  Contributors as noted in the AUTHORS.md file
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.smederee.tickets

import cats.syntax.all.*
import de.smederee.tickets.Generators.*

import munit.*

import org.scalacheck.*
import org.scalacheck.Prop.*

final class LabelTest extends ScalaCheckSuite {
    given Arbitrary[Label] = Arbitrary(genLabel)

    property("Eq must hold") {
        forAll { (label: Label) =>
            assert(label === label, "Identical labels must be considered equal!")
        }
    }
}
