/*
 * Copyright (C) 2022  Contributors as noted in the AUTHORS.md file
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.smederee.tickets

import munit.*

import org.scalacheck.*
import org.scalacheck.Prop.*

final class TicketContentTest extends ScalaCheckSuite {

    property("TicketContent.from must only accept valid input") {
        forAll { (input: String) =>
            if (input.nonEmpty)
                assertEquals(TicketContent.from(input), Some(TicketContent(input)))
            else
                assertEquals(TicketContent.from(input), None)
        }
    }

}
